org.jbpm.kie.services.impl.bpmn2.builder.dialect.mvel

## Class DataServiceMvelProcessDialect

- java.lang.Object
- - org.jbpm.process.builder.dialect.mvel.MVELProcessDialect
  - - org.jbpm.kie.services.impl.bpmn2.builder.dialect.mvel.DataServiceMvelProcessDialect

- All Implemented Interfaces:
    ProcessDialect

      public class DataServiceMvelProcessDialect
      extends MVELProcessDialect

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataServiceMvelProcessDialect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcess(ProcessBuildContext context)`
    `ActionBuilder` | `getActionBuilder()`
    `ReturnValueEvaluatorBuilder` | `getReturnValueEvaluatorBuilder()`

    - ### Methods inherited from class org.jbpm.process.builder.dialect.mvel.MVELProcessDialect

      `getAssignmentBuilder, getProcessClassBuilder, setActionbuilder, setReturnvaluebuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataServiceMvelProcessDialect

          public DataServiceMvelProcessDialect()

  - ### Method Detail

    - #### addProcess

          public void addProcess(ProcessBuildContext context)

      Specified by:
        `addProcess` in interface `ProcessDialect`
      Overrides:
        `addProcess` in class `MVELProcessDialect`

    - #### getActionBuilder

          public ActionBuilder getActionBuilder()

      Specified by:
        `getActionBuilder` in interface `ProcessDialect`
      Overrides:
        `getActionBuilder` in class `MVELProcessDialect`

    - #### getReturnValueEvaluatorBuilder

          public ReturnValueEvaluatorBuilder getReturnValueEvaluatorBuilder()

      Specified by:
        `getReturnValueEvaluatorBuilder` in interface `ProcessDialect`
      Overrides:
        `getReturnValueEvaluatorBuilder` in class `MVELProcessDialect`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.